part of slang_retail_assistant;

class AssistantConfiguration {
  late String assistantId;
  late String apiKey;
  String? defaultLocale;
  List<String>? requestedLocales;
  bool? enableCustomTrigger;
  AssistantUIPosition? uiPosition;
  AssistantUserJourney? userJourney;
  AssistantSubDomain? subDomain;
  AssistantEnvironment? environment;

  HashMap<String, Object?> _covertToHashmap() {
    var configMap = HashMap<String, Object?>();
    configMap["assistantId"] = assistantId;
    configMap["apiKey"] = apiKey;
    configMap["defaultLocale"] = defaultLocale;
    configMap["requestedLocales"] = requestedLocales;
    configMap["enableCustomTrigger"] = enableCustomTrigger ?? false;
    configMap["triggerPosition"] = uiPosition?._covertToHashmap();
    configMap["defaultSubDomain"] = subDomain?.stringValue;
    configMap["defaultUserJourney"] = userJourney?.stringValue;
    configMap["environment"] = environment?.stringValue;
    return configMap;
  }
}
